import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  _count: SortOrderSchema.optional()
}).strict();
export const PatientDocumentOrderByRelationAggregateInputObjectSchema: z.ZodType<Prisma.PatientDocumentOrderByRelationAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.PatientDocumentOrderByRelationAggregateInput>;
export const PatientDocumentOrderByRelationAggregateInputObjectZodSchema = makeSchema();
